Create a Post
cancel
Showing results for 
Search instead for 
Did you mean: 
Richard_Cullum
Participant

cme service stops due to api error

Hi

We are having problems with cme for managing Azure Scale Sets on R80.40 . The cme service keeps stopping. We only noticed then one of the Scale-Sets gateways crashed. It was deleted, a new one came up but it never deployed in the Check Point manager. If I start the cme service and run service cme test, cme appears to run through and read the Azure components, including the new gateway that we can't bring into management. But the test fails on an api error:

Testing management configuration...
Testing management connectivity...
Traceback (most recent call last):
File "/opt/CPcme/cp_handlers/mgmt_api_handler.py", line 85, in __call__
payload=body)
File "/opt/CPcme/cp_handlers/cpapi/mgmt_api.py", line 459, in api_query
[container_key], payload=payload):
File "/opt/CPcme/cp_handlers/cpapi/mgmt_api.py", line 537, in gen_api_query
"to"] # number of objects we got so far
KeyError: 'to'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/opt/CPcme/cp_handlers/mgmt_api_handler.py", line 186, in login
self.take_over_old_sessions(session_uid)
File "/opt/CPcme/cp_handlers/mgmt_api_handler.py", line 263, in take_over_old_sessions
aggregate='objects'):
File "/opt/CPcme/cp_handlers/mgmt_api_handler.py", line 92, in __call__
CMEExceptionCodes.MGMT_API)
cme_exceptions.cme_exceptions.ManagementApiException: Error Code: Management API error

API call: show-sessions failed with an exception: 'to'.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/opt/CPcme/service/cme_service.py", line 700, in test
management('discard', {})
File "/opt/CPcme/cp_handlers/mgmt_handler.py", line 160, in __call__
silent=silent, version=version)
File "/opt/CPcme/cp_handlers/mgmt_api_handler.py", line 73, in __call__
self.re_login_if_needed()
File "/opt/CPcme/cp_handlers/mgmt_api_handler.py", line 216, in re_login_if_needed
self.login()
File "/opt/CPcme/cp_handlers/mgmt_api_handler.py", line 194, in login
CMEExceptionCodes.MGMT_API)
cme_exceptions.cme_exceptions.ManagementApiException: Error Code: Management API error


Failed discard old sessions (1/5):
Error Code: Management API error

API call: show-sessions failed with an exception: 'to'.
called __exit__ with no sid
Failed

 

We are running latest build of AutoUpdater and CME build 141.

0 Kudos
1 Reply
Aiden_Dale
Explorer

Hi Richard,

I had a very similar issue and I found out it was because the SSL Web Port for the management server was different to what the script was trying to connect to the Mgmt CLI on (It was trying on 443 but the port was set to 4434).

To work around this I changed the Web Port to 443, but I am sure there must be a way to modify the CME script to tell it to connect on the custom port. I am going to look into this and I will let you know if I figure it out.

Hopefully this helps you.

 

Aiden

0 Kudos